# Deprecated Interface for Plotting Utilities

  Functions

  int PS_color_aln(const char *structure, const char *filename, const char *seqs[], const char *names[])
    #include <ViennaRNA/plotting/alignments.h>

    Produce PostScript sequence alignment color-annotated by consensus structure.

    Deprecated:

      Use vrna_file_PS_aln() instead!

  int aliPS_color_aln(const char *structure, const char *filename, const char *seqs[], const char *names[])
    #include <ViennaRNA/plotting/alignments.h>

    PS_color_aln for duplexes.

    Deprecated:

      Use vrna_file_PS_aln() instead!

  int simple_xy_coordinates(short *pair_table, float *X, float *Y)
    #include <ViennaRNA/plotting/layouts.h>

    Calculate nucleotide coordinates for secondary structure plot the Simple way

    Deprecated:

      Consider switching to vrna_plot_coords_simple_pt() instead!

    See also

    make_pair_table(), rna_plot_type, simple_circplot_coordinates(), naview_xy_coordinates(), vrna_file_PS_rnaplot_a(), vrna_file_PS_rnaplot, svg_rna_plot()

    Parameters:

      - pair_table – The pair table of the secondary structure

      - X – a pointer to an array with enough allocated space to hold the x coordinates

      - Y – a pointer to an array with enough allocated space to hold the y coordinates

    Returns:

      length of sequence on success, 0 otherwise

  int simple_circplot_coordinates(short *pair_table, float *x, float *y)
    #include <ViennaRNA/plotting/layouts.h>

    Calculate nucleotide coordinates for Circular Plot

    This function calculates the coordinates of nucleotides mapped in equal distancies onto a unit circle.

    Deprecated:

      Consider switching to vrna_plot_coords_circular_pt() instead!

    See also

    make_pair_table(), rna_plot_type, simple_xy_coordinates(), naview_xy_coordinates(), vrna_file_PS_rnaplot_a(), vrna_file_PS_rnaplot, svg_rna_plot()

    Note

    In order to draw nice arcs using quadratic bezier curves that connect base pairs one may calculate a second tangential point \(P^t\) in addition to the actual R2 coordinates. the simplest way to do so may be to compute a radius scaling factor \(rs\) in the interval \([0,1]\) that weights the proportion of base pair span to the actual length of the sequence. This scaling factor can then be used to calculate the coordinates for \(P^t\), i.e. \( P^{t}_x[i] = X[i] * rs\) and \(P^{t}_y[i] = Y[i] * rs\).

    Parameters:

      - pair_table – The pair table of the secondary structure

      - x – a pointer to an array with enough allocated space to hold the x coordinates

      - y – a pointer to an array with enough allocated space to hold the y coordinates

    Returns:

      length of sequence on success, 0 otherwise

  int PS_color_dot_plot(char *string, vrna_cpair_t *pi, char *filename)
    #include <ViennaRNA/plotting/probabilities.h>
  int PS_color_dot_plot_turn(char *seq, vrna_cpair_t *pi, char *filename, int winSize)
    #include <ViennaRNA/plotting/probabilities.h>
  int PS_dot_plot_turn(char *seq, vrna_ep_t *pl, char *filename, int winSize)
    #include <ViennaRNA/plotting/probabilities.h>
  int PS_dot_plot_list(char *seq, char *filename, vrna_ep_t *pl, vrna_ep_t *mf, char *comment)
    #include <ViennaRNA/plotting/probabilities.h>

    Produce a postscript dot-plot from two pair lists.

    This function reads two plist structures (e.g. base pair probabilities and a secondary structure) as produced by assign_plist_from_pr() and assign_plist_from_db()

    and produces a postscript “dot plot” that is written to ‘filename’.

    Using base pair probabilities in the first and mfe structure in the second plist, the resulting “dot plot” represents each base pairing probability by a square of corresponding area in a upper triangle matrix. The lower part of the matrix contains the minimum free energy structure.

    See also

    assign_plist_from_pr(), assign_plist_from_db()

    Parameters:

      - seq – The RNA sequence

      - filename – A filename for the postscript output

      - pl – The base pair probability pairlist

      - mf – The mfe secondary structure pairlist

      - comment – A comment

    Returns:

      1 if postscript was successfully written, 0 otherwise

  int PS_dot_plot(char *string, char *file)
    #include <ViennaRNA/plotting/probabilities.h>

    Produce postscript dot-plot.

    Wrapper to PS_dot_plot_list

    Reads base pair probabilities produced by pf_fold() from the global array pr and the pair list base_pair produced by fold() and produces a postscript “dot plot” that is written to ‘filename’. The “dot plot” represents each base pairing probability by a square of corresponding area in a upper triangle matrix. The lower part of the matrix contains the minimum free energy

    Deprecated:

      This function is deprecated and will be removed soon! Use PS_dot_plot_list() instead!

    Note

    DO NOT USE THIS FUNCTION ANYMORE SINCE IT IS NOT THREADSAFE

  Variables

  int rna_plot_type

    Switch for changing the secondary structure layout algorithm.

    Current possibility are 0 for a simple radial drawing or 1 for the modified radial drawing taken from the naview program of Bruccoleri and Heinrich [1988] .

    See also

    VRNA_PLOT_TYPE_SIMPLE, VRNA_PLOT_TYPE_NAVIEW, VRNA_PLOT_TYPE_CIRCULAR

    Note

    To provide thread safety please do not rely on this global variable in future implementations but pass a plot type flag directly to the function that decides which layout algorithm it may use!

  struct COORDINATE
    #include <ViennaRNA/plotting/layouts.h>

    this is a workarround for the SWIG Perl Wrapper RNA plot function that returns an array of type COORDINATE

    Public Members

    float X
    float Y